Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision c985bef7a565f4c2da3162938b779144167f1d1a)
+++ sansview/perspectives/fitting/basepage.py	(revision f1aa3857f2c211477d6caa55083eb3ae3236523e)
@@ -20,6 +20,8 @@
 if sys.platform.count("win32")>0:
     PANEL_WIDTH = 450
+    FONT_VARIANT = 0
 else:
     PANEL_WIDTH = 500
+    FONT_VARIANT = 1
     
 class BasicPage(wx.ScrolledWindow):
@@ -35,4 +37,6 @@
         wx.ScrolledWindow.__init__(self, parent,
                  style= wx.FULL_REPAINT_ON_RESIZE )
+        #Set window's font size 
+        self.SetWindowVariant(variant=FONT_VARIANT)
         ##window_name
         self.window_name = page_info.window_name
@@ -745,5 +749,5 @@
         self.enable2D= state.enable2D
         self.engine_type = state.engine_type
-
+        
         #???
         self.disp_cb_dict = state.disp_cb_dict
@@ -819,5 +823,8 @@
                     
             else:
-                
+                keys = self.model.getParamList()
+                for item in keys:
+                    if item in self.disp_list and not self.model.details.has_key(item):
+                        self.model.details[item]=["",None,None]
                 for k,v in self.state.disp_cb_dict.iteritems():
                     self.disp_cb_dict = copy.deepcopy(state.disp_cb_dict) 
@@ -832,9 +839,5 @@
             self.disable_smearer.SetValue(state.disable_smearer)
             self.onSmear(event=None)
-            self.tcChi.SetLabel(str( state.tcChi))
-            self.sizer5.Layout()
-            self.Layout()
-            self.Refresh()
-            
+            self.tcChi.SetLabel(str( state.tcChi))            
        
         ## reset state of checkbox,textcrtl  and dispersity parameters value
@@ -879,5 +882,5 @@
                     item[4].Clear()
                     item[4].Hide()
-        ##Is this layout necessary? Had a problem w/MAC.
+        ##Is this layout necessary? Had a problem w/MAC:Not anymore.
         #self.Layout()
         
@@ -1579,9 +1582,8 @@
         #draw the model with the current dispersity
         self._draw_model()
-        #self.sizer4_4.Layout()
-        #self.sizer5.Layout()
+        self.sizer4_4.Layout()
+        self.sizer5.Layout()
         self.Layout()
-        #self.Refresh()
-        #self.SetScrollbars(20,20,25,65)       
+        #self.Refresh()      
           
         
Index: sansview/perspectives/fitting/simfitpage.py
===================================================================
--- sansview/perspectives/fitting/simfitpage.py	(revision c99a6c514c56374f21266b358ae99f1145058839)
+++ sansview/perspectives/fitting/simfitpage.py	(revision f1aa3857f2c211477d6caa55083eb3ae3236523e)
@@ -7,7 +7,8 @@
 if sys.platform.count("win32")>0:
     PANEL_WID = 420
+    FONT_VARIANT = 0
 else:
     PANEL_WID = 490
-
+    FONT_VARIANT = 1
             
 def get_fittableParam( model):
@@ -44,4 +45,7 @@
              Simultaneous page display
         """
+        ##Font size
+        self.SetWindowVariant(variant = FONT_VARIANT)
+        
         self.parent = parent
         ## store page_finder
Index: sansview/perspectives/fitting/sldPanel.py
===================================================================
--- sansview/perspectives/fitting/sldPanel.py	(revision c99a6c514c56374f21266b358ae99f1145058839)
+++ sansview/perspectives/fitting/sldPanel.py	(revision f1aa3857f2c211477d6caa55083eb3ae3236523e)
@@ -19,8 +19,10 @@
     _STATICBOX_WIDTH = 350
     PANEL_SIZE = 400
+    FONT_VARIANT = 0
 else:
     _STATICBOX_WIDTH = 380
     PANEL_SIZE = 430
-
+    FONT_VARIANT = 1
+    
 class SldPanel(wx.Panel):
     """
@@ -29,4 +31,7 @@
     def __init__(self, parent,base=None, id = -1):
         wx.Panel.__init__(self, parent, id = id)
+        #Font size 
+        self.SetWindowVariant(variant=FONT_VARIANT)
+        
         # Object that receive status event
         self.base= base
